clear

PropVrec = Vrec(:, 1:2:200)

ACOPFVrec = Vrec(:, 2:2:200)



   set(0, 'DefaultAxesFontName', 'Times');
   set(0,'DefaultAxesFontSize',18);
   set(0,'DefaultFigureColor','w')
    set(0,'defaulttextinterpreter','tex')

figure
   
boxplot(PropVrec(1:13, :)', 'BoxStyle', 'filled', 'MedianStyle', 'line', 'Symbol', 'o', 'OutlierSize', 4, 'Colors', [163, 71, 56] / 255)

a = get(get(gca,'children'),'children');   % Get the handles of all the objects
t = get(a,'tag');   % List the names of all the objects 
idx=strcmpi(t,'box');  % Find Box objects
boxes=a(idx);          % Get the children you need
set(boxes,'linewidth',7); % Set width

axis([0 14 0.94 1.06])

xlabel('Generator index')
ylabel('Voltage (pu) \rightarrow')

 hold on

line([0, 14], [1, 1], 'Color', [0.25 0.25 0.25], 'LineWidth', 0.25)


box off

FigWidth = 7 * 2
FigHeight = 3  * 2

%# set size of figure's "drawing" area on screen
set(gcf, 'Units','centimeters', 'Position',[0 0 FigWidth FigHeight])
%# create some plot, and make axis fill entire figure
set(gca, 'Units','normalized')
set(gca, 'Position',[0.16 0.28 0.8 0.67])



 export_fig('PropBoxPlot', '-m4', '-nocrop')

figure
   
boxplot(ACOPFVrec(1:13, :)', 'BoxStyle', 'filled', 'MedianStyle', 'line', 'Symbol', 'o', 'OutlierSize', 4, 'Colors', [163, 71, 56] / 255)

a = get(get(gca,'children'),'children');   % Get the handles of all the objects
t = get(a,'tag');   % List the names of all the objects 
idx=strcmpi(t,'box');  % Find Box objects
boxes=a(idx);          % Get the children you need
set(boxes,'linewidth',7); % Set width

axis([0 14 0.94 1.06])

xlabel('Generator index')
ylabel('Voltage (pu) \rightarrow')

 hold on

line([0, 14], [1, 1], 'Color', [0.25 0.25 0.25], 'LineWidth', 0.25)


box off

FigWidth = 7 * 2
FigHeight = 3  * 2

%# set size of figure's "drawing" area on screen
set(gcf, 'Units','centimeters', 'Position',[0 0 FigWidth FigHeight])
%# create some plot, and make axis fill entire figure
set(gca, 'Units','normalized')
set(gca, 'Position',[0.16 0.28 0.8 0.67])



 export_fig('ACOPFBoxPlot', '-m4', '-nocrop')


 
 %[TotalNetWindPower, -TotalInitialExport,-NovelMaxedExport, -ValidatedNovelMaxedExport, -TotalACOPFExport]
 
 MWSaved = LossRec(:, 3) - LossRec(:, 3)
 
 
 